import type { PermissionObject } from "@/types/permissionTypes";
import type { RoleViewModel } from "./role.models";

export interface UserViewModel {
  id: number;
  username: string;
  mail: string;
  firstname: string;
  lastname: string;
  isOwner: boolean;
  permissions: PermissionObject;
  roles: Array<RoleViewModel>;
  permissions_total: PermissionObject;
}

export interface CreateUserViewModel {
  username: string;
  mail: string;
  firstname: string;
  lastname: string;
}

export interface UpdateUserViewModel {
  id: number;
  username: string;
  mail: string;
  firstname: string;
  lastname: string;
}
